baz_overlap Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_overlap.h>`

Inheritance diagram for baz_overlap:
[legend]

## Public Member Functions

| ~baz_overlap ()
void | set_overlap (int overlap)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_overlap_sptr | baz_make_overlap (int item_size, int vlen, int overlap)
| Return a shared_ptr to a new instance of baz_pow_cc.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_overlap()

baz_overlap::~baz_overlap | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_overlap::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int baz_overlap::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## set_overlap()

void baz_overlap::set_overlap | ( | int | overlap | ) |

## Friends And Related Symbol Documentation

## baz_make_overlap

BAZ_API baz_overlap_sptr baz_make_overlap | ( | int | item_size,
|  | int | vlen,
|  | int | overlap )

friend

Return a shared_ptr to a new instance of baz_pow_cc.

To avoid accidental use of raw pointers, baz_pow_cc's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

References BAZ_API.

The documentation for this class was generated from the following file:

- baz_overlap.h